/* --------------------------------------------------------
 Generated by Gunandi using sql2java (http://sql2java.sourceforge.net/ )
 jdbc driver used at code generation time: net.sourceforge.jtds.jdbc.Driver
 
 Author : Gunandi (andri.gunandi1@gmail.com) 
 Date Created : 21/05/2019
 --------------------------------------------------------
*/
package com.portofolio.dto;

import  javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModelProperty;
import  lombok.Getter;
import  lombok.Setter;


@Getter
@Setter
public class ProfileConfigDesignDto {
    
    private Integer kdBahasa;
    
    @ApiModelProperty(value = "statusEnabled", required = true)
    @NotNull(message = "profileconfigdesign.statusenabled.notnull")
    private Boolean statusEnabled;
    
    @ApiModelProperty(value = "kdModulAplikasi", required = true)
    @NotNull(message = "profileconfigdesign.kdModulAplikasi.notnull")
    private String kdModulAplikasi;
    
    @ApiModelProperty(value = "kdVersion", required = true)
    @NotNull(message = "profileconfigdesign.kdVersion.notnull")
    private Integer kdVersion;
    
    @NotNull(message = "profileconfigdesign.kdProfile.notnull")
    @ApiModelProperty(value = "kdProfile", required = true)
    private Integer kdProfile;
    
    
    

}
